<?php
/* -------------------------------------------------------------------------------------
 *  [ Html5Videoの使い方 ]                              LastUpdate:2014.02.10
 *   == 『m2ts』形式ビデオから『mp4』に変換 ==
 *  Author  ：Yoshi of CXMedia inc.
 *  参照URL ：https://github.com/xemle/html5-video-php
 *  利用条件：PHP5.3以上、コマンド：FFmpeg+qt-faststartを使用、「H264 video」をサポート
 *  作成    ：2014.02.10 大角
 * ------------------------------------------------------------------------------------- */

//require_once "html5-video-php/autoloader.php";
require_once "html5-video-php/vendor/autoload.php";

//コマンドツールとのパス関連付け：
//（注）'videoContainers'を指定しないと、videoEncoderは、デフォルトの'x264'になりエラーとなる
$config = array(
	'ffmpeg.bin'       => 'C:/FFmpeg/bin/ffmpeg',
	'qt-faststart.bin' => 'C:/FFmpeg/bin/qt-faststart',
	'videoContainers'  => array('mp4' => array('videoEncoder' => 'h264', 'audioEncoder' => 'aac')),
);

// Html5Videoクラスのオブジェクト作成
$html5 = new Html5Video\Html5Video($config);

echo '<pre>';
print_r($html5->config);

echo '■getEncoders()<br>';
print_r($html5->getEncoders() );

echo '■getVideoInfo()<br>';
print_r($html5->getVideoInfo('mv/cat.mpeg') );
echo '</pre>';

//『m2ts』形式ビデオから『mp4』に変換 「720p-sd」のプロファイルでサイズ設定
$html5->convert('mv/test_movie.m2ts', 'mv/html5-720p.mp4', '720p-sd');
echo '■html5-720p.mp4を出力<br>';
?>
